%define oname     fpconst
%define name      python-%{oname}
%define dname     %{oname}-%{version}

Name:          python-%{oname}
Version:       0.7.3
Release:       %mkrel 10
Epoch:         0

Summary:       IEEE754 float infinity and NaN for python
License:       BSD-like
Group:         Development/Python
URL:           http://cheeseshop.python.org/packages/source/f/%oname/%version
Source0:       http://cheeseshop.python.org/packages/source/f/%oname/%oname-%version.tar.bz2

BuildRequires: python-devel
BuildArch:     noarch

%description
This module provides constants and functions for handling IEEE754
floating point infinite and NaN values.

This works on any python that uses IEEE754 double values for its float
type (whether big- or little-endian). Although this is not required,
it's unlikely any python would fail to meet this requirement (the code
in both the standard and JPython interpreters assumes IEEE754 double
all over the place).

%prep
%setup -q -n %{dname}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README PKG-INFO
%defattr(-,root,root)
%{python_sitelib}/*



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0:0.7.3-10.mga6
+ Revision: 936162
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:0.7.3-9.mga5
+ Revision: 749098
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:0.7.3-8.mga5
+ Revision: 728532
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:0.7.3-7.mga5
+ Revision: 688038
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0:0.7.3-5.mga4
+ Revision: 543520
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0:0.7.3-4.mga4
+ Revision: 498637
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0:0.7.3-3.mga3
+ Revision: 378858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 jquelin <jquelin> 0:0.7.3-2.mga2
+ Revision: 135133
- make sure cauldron version is higher

* Wed Jun 29 2011 jquelin <jquelin> 0:0.7.3-1.mga2
+ Revision: 115993
- imported package python-fpconst


* Wed Jun 29 2011 Jerome Quelin <jquelin@mageia.org> 0:0.7.3-1.mga2
+ Revision: 442113
- rebuild
